libnvme(2)

NAME
enum nvme_cmic - This field indicates the controller multi-path I/O and NS sharing capabilities

SYNOPSIS
enum nvme_cmic {
NVME_CMIC_MULTI_PORT_SHIFT ,
NVME_CMIC_MULTI_CTRL_SHIFT ,
NVME_CMIC_MULTI_SRIOV_SHIFT ,
NVME_CMIC_MULTI_ANA_SHIFT ,
NVME_CMIC_MULTI_RSVD_SHIFT ,
NVME_CMIC_MULTI_PORT_MASK ,
NVME_CMIC_MULTI_CTRL_MASK ,
NVME_CMIC_MULTI_SRIOV_MASK ,
NVME_CMIC_MULTI_ANA_MASK ,
NVME_CMIC_MULTI_RSVD_MASK

};

Constants

NVME_CMIC_MULTI_PORT_SHIFT
    Shift amount to get the NVM subsystem port

NVME_CMIC_MULTI_CTRL_SHIFT
    Shift amount to get the controllers

NVME_CMIC_MULTI_SRIOV_SHIFT
    Shift amount to get the SR-IOV virtual function

NVME_CMIC_MULTI_ANA_SHIFT
    Shift amount to get the asymmetric namespace access reporting

NVME_CMIC_MULTI_RSVD_SHIFT
    Shift amount to get the reserved

NVME_CMIC_MULTI_PORT_MASK
    Mask to get the NVM subsystem port

NVME_CMIC_MULTI_CTRL_MASK
    Mask to get the controllers

NVME_CMIC_MULTI_SRIOV_MASK
    Mask to get the SR-IOV virtual function

NVME_CMIC_MULTI_ANA_MASK
    Mask to get the asymmetric namespace access reporting

NVME_CMIC_MULTI_RSVD_MASK
    Mask to get the reserved